/**
 * @vercel/remix v2.8.1
 *
 * Copyright (c) Vercel, Inc.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE.md file in the root directory of this source tree.
 *
 * @license MIT
 */
'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var serverRuntime = require('@remix-run/server-runtime');

function createRequestHandler({
  build,
  getLoadContext,
  mode
}) {
  let handleRequest = serverRuntime.createRequestHandler(build, mode);
  return request => {
    let loadContext = getLoadContext === null || getLoadContext === void 0 ? void 0 : getLoadContext(request);
    return handleRequest(request, loadContext);
  };
}

exports.createRequestHandler = createRequestHandler;
